/*=========================================================================================
    File Name: navigation.scss
    Description: Common mixin for menus, contain dark and light version scss.
    ----------------------------------------------------------------------------------------
    Item Name: Vuexy  - Vuejs, HTML & Laravel Admin Dashboard Template
    Author: PIXINVENT
    Author URL: http://www.themeforest.net/user/pixinvent
==========================================================================================*/

// Import first main menu mixin
@import "../mixins/main-menu-mixin";

// Main menu base
//==============
.main-menu {
  z-index: 1031;
  position: absolute;
  display: table-cell;
  height: 100%;
  overflow: hidden;

  &.menu-light {
    // @include menu-theme($body-color, $white);
    @include menu-theme($blackColor, transparent);
  }

  &.menu-dark {
    @include menu-theme($menu-dark-color, $menu-dark-bg-color);
  }

  &.menu-fixed {
    position: fixed;
  }
  // &.menu-static {
  //   height: 100%;
  //   padding-bottom: calc(100% - 20rem);
  //   .main-menu-content {
  //     height: unset !important;
  //   }
  // }

  // menu scroll shadow
  .shadow-bottom {
    display: none;
    position: absolute;
    z-index: 2;
    height: 50px;
    width: 100%;
    pointer-events: none;
    margin-top: -0.7rem;
    filter: blur(5px);
    // background: linear-gradient(
    //   #fff 41%,
    //   hsla(0, 0%, 100%, 0.11) 95%,
    //   hsla(0, 0%, 100%, 0)
    // );
  }

  // Native Scrollbar (.menu-native-scroll)
  &.menu-native-scroll {
    .main-menu-content {
      overflow-y: scroll !important;
    }
  }

  .navbar-header {
    width: $menu-expanded-width;
    height: $navbar-height;
    position: relative;
    transition: 300ms ease all, background 0s;
    padding: 30px 0 0 50px;
    cursor: pointer;

    .navbar-brand {
      display: flex;
      align-items: center;
      font-size: inherit;

      .brand-text {
        @include font($fontGotham, 20px, 24px);
        color: $blackColor;
        padding-left: 1rem;
        animation: 0.3s cubic-bezier(0.25, 0.8, 0.25, 1) 0s normal forwards 1
          fadein;
      }
    }
    .modern-nav-toggle {
      animation: 0.3s cubic-bezier(0.25, 0.8, 0.25, 1) 0s normal forwards 1
        fadein;
    }
  }

  .main-menu-content {
    height: calc(100% - #{$navbar-height}) !important;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 0 25px 50px 50px;
    margin-top: 50px;

    .nav-toggle {
      width: 18px;
      height: 40px;
      z-index: 4;
      right: 0;
      top: 50%;
      transform: translateY(-50%);
      cursor: pointer;
      background: $primaryColor;
      border-radius: 10px 0px 0px 10px;
      text-align: center;
      padding-top: 7px;

      & .icon-flipped {
        transform: rotate(-180deg);
        position: relative;
        left: 2px;
      }
    }

    .ps__rail-y {
      z-index: 3;
    }

    .logout-btn {
      min-height: 50px;
      margin-bottom: 50px;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: flex-start;
      padding-left: 25px;
      text-overflow: ellipsis;
      overflow: hidden;
      @include font($fontGotham, 14px, 16.8px);
      background-color: $whiteColor;
      color: $greyText;
      z-index: 1;
      border-radius: 10px;
      user-select: none;
      cursor: pointer;

      svg {
        fill: $greyText;
      }

      &.active,
      &:hover {
        color: $whiteColor !important;
        background-color: $primaryColor !important;

        svg {
          path {
            fill: $whiteColor !important;
          }
        }
      }

      & div:first-child {
        margin-right: 14px;
      }
    }
  }

  ul {
    list-style: none;
    margin: 0;
    padding: 0;

    &.navigation-main {
      padding-bottom: 0.75rem;
    }
  }

  a {
    outline: none;

    &:hover,
    &:focus {
      text-decoration: none;
    }
  }
}

// Main Navigation
.navigation {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  width: 100%;

  &.menu-collapsed {
    width: 50px;

    & li {
      & .menu-content {
        display: none;
      }
    }

    & li a {
      padding-left: 15px;
      color: transparent !important;
      transition: none !important;

      &:hover {
        color: transparent !important;
      }
    }
  }

  li {
    position: relative;
    white-space: nowrap;
    margin-bottom: 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: initial;

    a {
      width: 100%;
      justify-content: flex-start;
      min-height: 50px;
      padding-left: 25px;
      text-overflow: ellipsis;
      overflow: hidden;
      @include font($fontGotham, 14px, 16.8px);
      color: $greyText;
      background-color: $whiteColor;
      z-index: 1;
      border-radius: 10px;
      user-select: none;
      cursor: pointer;

      &.active,
      &:hover {
        color: $whiteColor !important;
        background-color: $primaryColor !important;

        svg {
          path {
            fill: $white;
          }
        }
      }

      i,
      svg {
        height: 11px;
        width: 11px;
        font-size: 11px;
        margin-right: 1.38rem;
      }
    }

    &:last-child {
      .progress-line {
        display: none;
      }
    }

    .progress-line {
      width: 31%;
      margin: 0;
      border: 3px solid $lightBlueColor;
      border-style: none none solid;
      color: $whiteColor;
      transform: rotate(90deg);
      z-index: 0;
    }

    &.menu-item-animating {
      transition: height 0.25s ease-in-out;
    }

    &.disabled {
      a {
        cursor: not-allowed;
        opacity: 0.65;
        pointer-events: none;
      }
    }
  }

  .has-sub {
    & > a {
      background-color: $white;
    }
  }

  .nav-item.has-sub {
    background: $white;
    border-radius: 10px;
  }

  .first-step-link {
    color: $greyColor;
  }
}

.current-step {
  & a {
    color: $whiteColor !important;
    background-color: $primaryColor !important;
  }

  .progress-line {
    border: 3px dashed $primaryColor !important;
    border-style: none none dashed !important;
  }
}

.passed-step {
  a {
    cursor: pointer !important;
    color: $greyText !important;
    background-color: $greyColor !important;
  }

  .progress-line {
    border: 3px solid $greyColor !important;
    border-style: none none solid !important;
  }
}

// Media queries for small screen devices
// =========================================
@include media-breakpoint-down(sm) {
  // menu hide/open animation
  .menu-hide .main-menu,
  .menu-open .main-menu {
    transition: transform 0.25s, top 0.35s, height 0.35s;
  }

  .main-menu {
    transform: translate3d(-240px, 0, 0);
    backface-visibility: hidden;
    perspective: 1000;
  }

  .menu-open .main-menu {
    transform: translate3d(0, 0, 0);
  }
}

@include media-breakpoint-up(md) {
  .drag-target {
    z-index: 0;
  }
}
